%define debug_package          %{nil}

%define __requires_exclude ^(pear\\(graph.*|pear\\(includes.*|pear\\(modules.*)$

# RHEL6 compat hacks
%if %_vendor == "redhat"
%define _initrddir %{_initddir}
%define configure2_5x %configure
%define make %{__make}
%define makeinstall_std %{__make} DESTDIR=%{?buildroot:%{buildroot}} install
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?subrel:.%subrel}%{?distsuffix:%distsuffix}%{?!distsuffix:.el6}
%define py_puresitedir %(python -c 'import distutils.sysconfig; print distutils.sysconfig.get_python_lib()' 2>/dev/null || echo PYTHON-LIBDIR-NOT-FOUND)
%endif
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%define mds_release 2.5.95
%define core_version 3.1.85


Summary:	A Management Directory Server
Name:		mds
Version:	%{mds_release}
%if %_vendor == "redhat"
Release:    9
%else
Release:	%mkrel 8
%endif
License:	GPLv2
Group:		System/Servers
URL:		http://www.siveo.net
Source0:	%{name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  gettext-devel
Patch1:         0001-Add-pre-post-deluser-hooks.patch

%description
The Management Directory Server.

%package -n	python-mmc-samba
Summary:	Management Console SAMBA plugin
Group:		System/Servers
Requires:	acl
Requires:	pylibacl
Requires:	python-mmc-base >= %{core_version}
Requires:	python-smbpasswd
Requires:	samba-common
Requires:	python-configobj

%description -n	python-mmc-samba
SAMBA management plugin for the MMC. It includes
SAMBA accounts and shares management.

%package -n     python-s4sync
Summary:        Daemon to synchronize samba4 and OpenLdap password
Group:          System/Servers
Requires:   acl
%if %_vendor == "redhat"
Requires:   python2
Requires:   python-mmc-samba4
Requires:   pytz
Requires:   pylibacl
%else
Requires:   python-base
Requires:   python-pylibacl
Requires:   python-mmc-samba4
Requires:   python-pyasn1
Requires:   python-pytz
Requires:   python-daemon
%endif

%description -n python-s4sync
Daemon to synchronize samba4 and OpenLdap password

%package -n	python-mmc-mail
Summary:	A Management Console base plugin
Group:		System/Servers
%if %_vendor == "redhat"
Requires:       postfix
%else
Recommends:	postfix
Recommends:	postfix-ldap
%endif
Requires:	python-mmc-base >= %{core_version}

%description -n	python-mmc-mail
Mail account management plugin for the MMC.

%package -n	python-mmc-proxy
Summary:	A Management Console proxy plugin
Group:		System/Servers
Requires:	python-mmc-base >= %{core_version}
Requires:	squid
Requires:	ufdbguard

%description -n	python-mmc-proxy
Squidguard/Squid management plugin for the MMC.

%package -n	python-mmc-network
Summary:	A Management Console network plugin
Group:		System/Servers
Requires:	python-mmc-base >= %{core_version}
%if %_vendor == "redhat"
Requires:       dhcp

%else
Recommends:   dhcp-server
Recommends:   bind
%endif

%description -n	python-mmc-network
DNS/DHCP management plugin for the MMC.

This plugin requires a LDAP-patched version of ISC DHCPD and BIND9.

%package -n	python-mmc-bulkimport
Summary:	A Management Console bulkimport plugin
Group:		System/Servers
Requires:	python-mmc-base >= %{core_version}

%description -n	python-mmc-bulkimport
Mass import plugin for MMC.

The bulkimport plugin can be used to import or modify multiple
users with CSV files.

%package -n	python-mmc-sshlpk
Summary:	A Management Console sshlpk plugin
Group:		System/Servers
Requires:	python-mmc-base >= %{core_version}

%description -n	python-mmc-sshlpk
MMC agent SSH public key plugin.

This plugin allows to add SSH public keys to LDAP user entries.
These keys can then be retrieved by OpenSSH with the LDAP Public Key patch. See
http://code.google.com/p/openssh-lpk/

%package -n	python-mmc-userquota
Summary:	A Management Console userquota plugin
Group:		System/Servers
Requires:	python-mmc-base >= %{core_version}
Requires:	quota

%description -n	python-mmc-userquota
MMC quota plugin.

This plugin allows to add user quota on filesystem. It also provide a ldap
attribute for network quotas.

%package -n     python-mmc-shorewall
Summary:        A Management Shorewall plugin
Group:          System/Servers
Requires:       python-mmc-base >= %{core_version}
Requires:       shorewall

%description -n python-mmc-shorewall
MMC shorewall plugin.

This plugin allows to configure shorewall.

%package -n     python-mmc-samba4
Summary:        A Management Samba4 plugin
Group:          System/Servers
Requires:       python-mmc-base >= %{core_version}
Requires:       acl
Requires:       python-configobj
Requires:       python-jinja2
Requires:       python-mmc-core
%if %_vendor == "redhat"
Requires:       pylibacl
Requires:       samba4 >= 4.1.1
Requires:       samba4-python
Requires:       python2
%else
Requires:       samba >= 4.1.4
Requires:       python-samba
Requires:       python-base
Requires:       python-pylibacl
%endif

%description -n python-mmc-samba4
MMC samba4 plugin.

This plugin allows to configure samba4.

%package -n     python-mmc-squid
Summary:        A Management Squid plugin
Group:          System/Servers
Requires:       python-mmc-base >= %{core_version}
Requires:       squid

%description -n python-mmc-squid
MMC squid plugin.

This plugin allows to configure squid.

%package -n     python-mmc-radius
Summary:        A Management Radius plugin
Group:          System/Servers
Requires:       python-mmc-base >= %{core_version}

%description -n python-mmc-radius
MMC radius plugin.

This plugin allows to manage Radius LDAP attributes in the MMC.

%package -n	mmc-web-mail
Summary:	Postfix/Mail module for the MMC web interface
Group:		System/Servers
Requires:	postfix
Requires:	mmc-web-base >= %{core_version}
Provides:	pear(edit.php)
Provides:	pear(mail-xmlrpc.php)
Provides:	pear(mail.inc.php)

%description -n	mmc-web-mail
A Management Console web interface designed by Linbox.

This is the Mail module.

%package -n	mmc-web-network
Summary:	DNS/DHCP management module for the MMC web interface
Group:		System/Servers
Requires:	mmc-web-base >= %{core_version}
Provides:	pear(localSidebar.php)
Provides:	pear(servicedhcpfailover.php)
Provides:	pear(subnetedit.php)

%description -n	mmc-web-network
A Management Console web interface designed by Linbox.

This is the Network module.

%package -n	mmc-web-proxy
Summary:	SquidGuard module for the MMC web interface
Group:		System/Servers
Requires:	mmc-web-base >= %{core_version}
Provides:	pear(localSidebar.php)

%description -n	mmc-web-proxy
A Management Console web interface designed by Linbox.

This is the Squid/SquidGuard module.

%package -n	mmc-web-samba
Summary:	SAMBA module for the MMC web interface
Group:		System/Servers
Requires:	mmc-web-base >= %{core_version}
Provides:	pear(user-xmlrpc.inc.php)

%description -n	mmc-web-samba
A Management Console web interface designed by Linbox.

This is the SAMBA module.

%package -n     mmc-web-samba4
Summary:        SAMBA4 module for the MMC web interface
Group:          System/Servers
Requires:       mmc-web-base >= %{core_version}
Provides:       pear(user-xmlrpc.inc.php)

%description -n mmc-web-samba4
A Management Console web interface.

This is the SAMBA4 module.

%package -n	mmc-web-bulkimport
Summary:	Bulk import module for the MMC web interface
Group:		System/Servers
Requires:	mmc-web-base >= %{core_version}

%description -n	mmc-web-bulkimport
A Management Console web interface designed by Linbox.

This is the bulk import module.

%package -n	mmc-web-sshlpk
Summary:	SSH public key module for the MMC web interface
Group:		System/Servers
Requires:	mmc-web-base >= %{core_version}
Provides:	pear(sshlpk-xmlrpc.php)

%description -n	mmc-web-sshlpk
A Management Console web interface designed by Linbox.

This is the SSH public key module.

%package -n	mmc-web-userquota
Summary:	User quota module for the MMC web interface
Group:		System/Servers
Requires:	mmc-web-base >= %{core_version}
Provides:	pear(userquota-xmlrpc.php)
Provides:	pear(userquota.php)

%description -n	mmc-web-userquota
A Management Console web interface designed by Linbox.

This is the userquota module.

%package -n     mmc-web-shorewall
Summary:        Shorewall module for the MMC web interface
Group:          System/Servers
Requires:       mmc-web-base >= %{core_version}

%description -n mmc-web-shorewall
A Management Console web interface designed by Linbox.

This is the shorewall module

%package -n     mmc-web-squid
Summary:        Squid module for the MMC web interface
Group:          System/Servers
Requires:       mmc-web-base >= %{core_version}

%description -n mmc-web-squid
A Management Console web interface designed by Linbox.

This is the squid module

%package -n     mmc-web-radius
Summary:        Radius module for the MMC web interface
Group:          System/Servers
Requires:       mmc-web-base >= %{core_version}

%description -n mmc-web-radius
A Management Console web interface designed by Linbox.

This is the radius module

%prep
%setup -q -n %{name}-%{version}
%if %_vendor == "Mageia"
%patch1 -p2
%endif

%build
%configure2_5x --with-systemddir=%{_unitdir} --enable-systemd
make

%install
%make_install
# cleanup
rm -f `find %{buildroot} -name *.pyo`
rm -fv %{buildroot}%{python2_sitelib}/mmc/Makefile.*

%post -n python-mmc-network
sed -i 's!/etc/rc.d/init.d/named$!/etc/rc.d/init.d/named-sdb!g' %{_sysconfdir}/mmc/plugins/network.ini

%post -n python-s4sync
%_post_service s4sync

%files -n python-mmc-mail
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/mail.ini
%{python2_sitelib}/mmc/plugins/mail
%{_docdir}/mmc/contrib/mail

%files -n python-mmc-network
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/network.ini
%{python2_sitelib}/mmc/plugins/network
%{_docdir}/mmc/contrib/network

%files -n python-mmc-proxy
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/proxy.ini
%{python2_sitelib}/mmc/plugins/proxy
%{_docdir}/mmc/contrib/proxy

%files -n python-mmc-samba
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/samba.ini
%{python2_sitelib}/mmc/plugins/samba
%{_libdir}/mmc/add_machine_script
%{_libdir}/mmc/add_change_share_script
%{_libdir}/mmc/add_printer_script
%{_libdir}/mmc/delete_printer_script
%{_libdir}/mmc/delete_share_script
%{_docdir}/mmc/contrib/samba

%files -n python-mmc-samba4
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/samba4.ini
%{python2_sitelib}/mmc/plugins/samba4

%files -n python-mmc-bulkimport
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/bulkimport.ini
%{python2_sitelib}/mmc/plugins/bulkimport

%files -n python-mmc-sshlpk
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/sshlpk.ini
%{python2_sitelib}/mmc/plugins/sshlpk
%{_docdir}/mmc/contrib/sshlpk

%files -n python-mmc-userquota
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/userquota.ini
%{python2_sitelib}/mmc/plugins/userquota
%{_docdir}/mmc/contrib/userquota

%files -n python-mmc-shorewall
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/shorewall.ini
%{python2_sitelib}/mmc/plugins/shorewall

%files -n python-mmc-squid
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/squid.ini
%{python2_sitelib}/mmc/plugins/squid
%{_docdir}/mmc/contrib/squid

%files -n python-mmc-radius
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/radius.ini
%{python2_sitelib}/mmc/plugins/radius
%{_docdir}/mmc/contrib/radius

%files -n mmc-web-mail
%dir %{_datadir}/mmc/modules/mail
%dir %{_datadir}/mmc/modules/mail/locale
%{_datadir}/mmc/modules/mail/*.php
%{_datadir}/mmc/modules/mail/aliases
%{_datadir}/mmc/modules/mail/domains
%{_datadir}/mmc/modules/mail/graph
%{_datadir}/mmc/modules/mail/includes
%lang(da) %_datadir/mmc/modules/mail/locale/da_DK/LC_MESSAGES/mail.mo
%lang(de) %_datadir/mmc/modules/mail/locale/de_DE/LC_MESSAGES/mail.mo
%lang(es) %_datadir/mmc/modules/mail/locale/es_ES/LC_MESSAGES/mail.mo
%lang(fr) %_datadir/mmc/modules/mail/locale/fr_FR/LC_MESSAGES/mail.mo
%lang(nb) %_datadir/mmc/modules/mail/locale/nb_NO/LC_MESSAGES/mail.mo
%lang(pl) %_datadir/mmc/modules/mail/locale/pl_PL/LC_MESSAGES/mail.mo
%lang(pt_BR) %_datadir/mmc/modules/mail/locale/pt_BR/LC_MESSAGES/mail.mo
%lang(ru) %_datadir/mmc/modules/mail/locale/ru_RU/LC_MESSAGES/mail.mo

%files -n mmc-web-network
%dir %{_datadir}/mmc/modules/network
%dir %{_datadir}/mmc/modules/network/locale
%{_datadir}/mmc/modules/network/*.php
%{_datadir}/mmc/modules/network/dhcplogview
%{_datadir}/mmc/modules/network/dnslogview
%{_datadir}/mmc/modules/network/graph
%{_datadir}/mmc/modules/network/includes
%{_datadir}/mmc/modules/network/network
%lang(da) %_datadir/mmc/modules/network/locale/da_DK/LC_MESSAGES/network.mo
%lang(de) %_datadir/mmc/modules/network/locale/de_DE/LC_MESSAGES/network.mo
%lang(es) %_datadir/mmc/modules/network/locale/es_ES/LC_MESSAGES/network.mo
%lang(fr) %_datadir/mmc/modules/network/locale/fr_FR/LC_MESSAGES/network.mo
%lang(nb) %_datadir/mmc/modules/network/locale/nb_NO/LC_MESSAGES/network.mo
%lang(pl) %_datadir/mmc/modules/network/locale/pl_PL/LC_MESSAGES/network.mo
%lang(pt_BR) %_datadir/mmc/modules/network/locale/pt_BR/LC_MESSAGES/network.mo
%lang(ru) %_datadir/mmc/modules/network/locale/ru_RU/LC_MESSAGES/network.mo

%files -n mmc-web-proxy
%dir %{_datadir}/mmc/modules/proxy
%dir %{_datadir}/mmc/modules/proxy/locale
%{_datadir}/mmc/modules/proxy/*.php
%{_datadir}/mmc/modules/proxy/blacklist
%{_datadir}/mmc/modules/proxy/graph
%{_datadir}/mmc/modules/proxy/includes
%lang(da) %_datadir/mmc/modules/proxy/locale/da_DK/LC_MESSAGES/proxy.mo
%lang(de) %_datadir/mmc/modules/proxy/locale/de_DE/LC_MESSAGES/proxy.mo
%lang(es) %_datadir/mmc/modules/proxy/locale/es_ES/LC_MESSAGES/proxy.mo
%lang(fr) %_datadir/mmc/modules/proxy/locale/fr_FR/LC_MESSAGES/proxy.mo
%lang(nb) %_datadir/mmc/modules/proxy/locale/nb_NO/LC_MESSAGES/proxy.mo
%lang(pl) %_datadir/mmc/modules/proxy/locale/pl_PL/LC_MESSAGES/proxy.mo
%lang(pt_BR) %_datadir/mmc/modules/proxy/locale/pt_BR/LC_MESSAGES/proxy.mo
%lang(ru) %_datadir/mmc/modules/proxy/locale/ru_RU/LC_MESSAGES/proxy.mo

%files -n mmc-web-samba
%dir %{_datadir}/mmc/modules/samba
%dir %{_datadir}/mmc/modules/samba/locale
%{_datadir}/mmc/modules/samba/*.php
%{_datadir}/mmc/modules/samba/config
%{_datadir}/mmc/modules/samba/includes
%{_datadir}/mmc/modules/samba/machines
%{_datadir}/mmc/modules/samba/shares
%{_datadir}/mmc/modules/samba/status
%{_datadir}/mmc/modules/samba/views
%{_datadir}/mmc/modules/samba/graph
%lang(da) %_datadir/mmc/modules/samba/locale/da_DK/LC_MESSAGES/samba.mo
%lang(de) %_datadir/mmc/modules/samba/locale/de_DE/LC_MESSAGES/samba.mo
%lang(es) %_datadir/mmc/modules/samba/locale/es_ES/LC_MESSAGES/samba.mo
%lang(fr) %_datadir/mmc/modules/samba/locale/fr_FR/LC_MESSAGES/samba.mo
%lang(nb) %_datadir/mmc/modules/samba/locale/nb_NO/LC_MESSAGES/samba.mo
%lang(pl) %_datadir/mmc/modules/samba/locale/pl_PL/LC_MESSAGES/samba.mo
%lang(pt_BR) %_datadir/mmc/modules/samba/locale/pt_BR/LC_MESSAGES/samba.mo
%lang(ru)%_datadir/mmc/modules/samba/locale/ru_RU/LC_MESSAGES/samba.mo

%files -n mmc-web-samba4
%{_datadir}/mmc/modules/samba4
%{_datadir}/mmc/modules/samba4/*.php

%files -n mmc-web-bulkimport
%dir %{_datadir}/mmc/modules/bulkimport
%dir %{_datadir}/mmc/modules/bulkimport/locale
%{_datadir}/mmc/modules/bulkimport/*.php
%{_datadir}/mmc/modules/bulkimport/import
%{_datadir}/mmc/modules/bulkimport/includes
%lang(da) %_datadir/mmc/modules/bulkimport/locale/da_DK/LC_MESSAGES/bulkimport.mo
%lang(de) %_datadir/mmc/modules/bulkimport/locale/de_DE/LC_MESSAGES/bulkimport.mo
%lang(es) %_datadir/mmc/modules/bulkimport/locale/es_ES/LC_MESSAGES/bulkimport.mo
%lang(fr) %_datadir/mmc/modules/bulkimport/locale/fr_FR/LC_MESSAGES/bulkimport.mo
%lang(nb) %_datadir/mmc/modules/bulkimport/locale/nb_NO/LC_MESSAGES/bulkimport.mo
%lang(pl) %_datadir/mmc/modules/bulkimport/locale/pl_PL/LC_MESSAGES/bulkimport.mo
%lang(pt_BR) %_datadir/mmc/modules/bulkimport/locale/pt_BR/LC_MESSAGES/bulkimport.mo
%lang(ru) %_datadir/mmc/modules/bulkimport/locale/ru_RU/LC_MESSAGES/bulkimport.mo

%files -n mmc-web-sshlpk
%dir %{_datadir}/mmc/modules/sshlpk
%dir %{_datadir}/mmc/modules/sshlpk/locale
%{_datadir}/mmc/modules/sshlpk/*.php
%{_datadir}/mmc/modules/sshlpk/includes
%{_datadir}/mmc/modules/sshlpk/keys/edit.php
%lang(da) %_datadir/mmc/modules/sshlpk/locale/da_DK/LC_MESSAGES/sshlpk.mo
%lang(da) %_datadir/mmc/modules/sshlpk/locale/de_DE/LC_MESSAGES/sshlpk.mo
%lang(de) %_datadir/mmc/modules/sshlpk/locale/es_ES/LC_MESSAGES/sshlpk.mo
%lang(fr) %_datadir/mmc/modules/sshlpk/locale/fr_FR/LC_MESSAGES/sshlpk.mo
%lang(nb) %_datadir/mmc/modules/sshlpk/locale/nb_NO/LC_MESSAGES/sshlpk.mo
%lang(pl) %_datadir/mmc/modules/sshlpk/locale/pl_PL/LC_MESSAGES/sshlpk.mo
%lang(pt_BR) %_datadir/mmc/modules/sshlpk/locale/pt_BR/LC_MESSAGES/sshlpk.mo
%lang(ru)  %_datadir/mmc/modules/sshlpk/locale/ru_RU/LC_MESSAGES/sshlpk.mo

%files -n mmc-web-userquota
%dir %{_datadir}/mmc/modules/userquota
%dir %{_datadir}/mmc/modules/userquota/locale
%{_datadir}/mmc/modules/userquota/*.php
%{_datadir}/mmc/modules/userquota/includes
%lang(da) %_datadir/mmc/modules/userquota/locale/da_DK/LC_MESSAGES/userquota.mo
%lang(da) %_datadir/mmc/modules/userquota/locale/de_DE/LC_MESSAGES/userquota.mo
%lang(de) %_datadir/mmc/modules/userquota/locale/es_ES/LC_MESSAGES/userquota.mo
%lang(fr) %_datadir/mmc/modules/userquota/locale/fr_FR/LC_MESSAGES/userquota.mo
%lang(nb) %_datadir/mmc/modules/userquota/locale/nb_NO/LC_MESSAGES/userquota.mo
%lang(pl) %_datadir/mmc/modules/userquota/locale/pl_PL/LC_MESSAGES/userquota.mo
%lang(pt_BR) %_datadir/mmc/modules/userquota/locale/pt_BR/LC_MESSAGES/userquota.mo
%lang(ru) %_datadir/mmc/modules/userquota/locale/ru_RU/LC_MESSAGES/userquota.mo

%files -n mmc-web-shorewall
%dir %{_datadir}/mmc/modules/shorewall
%{_datadir}/mmc/modules/shorewall/*.php
%{_datadir}/mmc/modules/shorewall/includes
%{_datadir}/mmc/modules/shorewall/graph
%{_datadir}/mmc/modules/shorewall/shorewall
%lang(fr)    %_datadir/mmc/modules/shorewall/locale/fr_FR/LC_MESSAGES/shorewall.mo
%lang(pt_BR) %_datadir/mmc/modules/shorewall/locale/pt_BR/LC_MESSAGES/shorewall.mo

%files -n mmc-web-squid
%dir %{_datadir}/mmc/modules/squid
%{_datadir}/mmc/modules/squid/*.php
%{_datadir}/mmc/modules/squid/includes
%{_datadir}/mmc/modules/squid/internet
%{_datadir}/mmc/modules/squid/graph
%lang(fr)    %_datadir/mmc/modules/squid/locale/fr_FR/LC_MESSAGES/squid.mo
%lang(pt_BR) %_datadir/mmc/modules/squid/locale/pt_BR/LC_MESSAGES/squid.mo

%files -n mmc-web-radius
%dir %{_datadir}/mmc/modules/radius
%{_datadir}/mmc/modules/radius/*.php
%{_datadir}/mmc/modules/radius/includes
%lang(fr)    %_datadir/mmc/modules/radius/locale/fr_FR/LC_MESSAGES/radius.mo
%lang(pt_BR) %_datadir/mmc/modules/radius/locale/pt_BR/LC_MESSAGES/radius.mo
%lang(de)    %_datadir/mmc/modules/radius/locale/de_DE/LC_MESSAGES/radius.mo

%files -n python-s4sync
%{_unitdir}/s4sync.service
%{python2_sitelib}/mmc/s4sync




%changelog
* Fri Apr 22 2016 neoclust <neoclust> 2.5.95-8.mga6
+ Revision: 1004677
- New snapshot, fixes mmc icons

* Fri Mar 25 2016 daviddavid <daviddavid> 2.5.95-7.mga6
+ Revision: 995404
- fix requires list

* Thu Mar 24 2016 daviddavid <daviddavid> 2.5.95-6.mga6
+ Revision: 995212
- Fix more auto requires
- use %%configure2_5x and %%make_install macros
- fix License

* Thu Mar 24 2016 neoclust <neoclust> 2.5.95-5.mga6
+ Revision: 995157
- Fix auto requires

* Thu Mar 24 2016 neoclust <neoclust> 2.5.95-4.mga6
+ Revision: 994745
- Clean spec file

* Thu Mar 24 2016 neoclust <neoclust> 2.5.95-3.mga6
+ Revision: 994740
- imported package mds

